; $Id: macsdataobject__define.pro,v 1.3 2010/04/02 20:09:26 kneller Exp $

pro macsdataobject::getProperty,filename=filename,_Extra=extra

  filename = self.filename
  
  self->IDLitData::getProperty,_Extra=extra


end;macsdataobject::getProperty

function macsdataobject::pullTheData,id

  duh = self->getData(dataStr)
  
  
;  ocid = self->getbyidentifier(id)
;  od = ocid->get(position=0) 
;  duh = od->getData(data)

  tags = tag_names(dataStr)
  wh = where(tags eq id,count)
  if count ne 0 then begin
    data = dataStr.(wh[0])
  endif

  return,data
end;macsdataobject::pullTheData

function macsdataobject::readMACSData,filename
  
  self.filename = filename

  macs_readmacsfile,filename,str,$
                    indep_var=indep_var,dep_var=dep_var,$
                    header=header_string,$
                    lattice=lattice,$
                    fixedEType=fixedEType,$
                    fixedEValue=fixedEValue,$
                    dSpaceM=dSpaceM,$
                    dSpaceA=dSpaceA,$
                    orientation=orientation,$
                    sdesc=sdesc,$
                    anaPkgStr=anaPkgStr,$
                    errmsg = errmsg,$
                    epoch=epoch,$
                    filecontents=filecontents,$
                    titles=titles
    if n_elements(str) gt 0 then begin
    
      datastr = {str:str,$
                  indep_var:indep_var,$
                  dep_var:dep_var,$
                  header:header_string,$
                  lattice:lattice,$
                  fixedEType:fixedEType,$
                  fixedEValue:fixedEValue,$
                  dSpaceM:dSpaceM,$
                  dSpaceA:dSpaceA,$
                  orientation:orientation,$
                  sdesc:sdesc,$
                  ;anaPkgStr:anaPkgStr,$
                  errmsg : errmsg,$
                  epoch:epoch,$
                  titles:titles,$
                  filecontents:filecontents}
      ret = self->setData(dataStr)
    endif else begin
      ret = 0
    endelse

  ;WHAT IS BACKGROUND TOLERANCE?  WHY ARE THERE TWO OF THE SAME WIDGET SET FOR THIS????????
  return,ret
end;macsdataobject::readMACSData
pro macsdataobject::cleanup
  print,'macsdataobject::cleanup'
  self->IDLitData::cleanup
end;macsdataobject::cleanup

function macsdataobject::init,filename=filename,_Extra=extra


  self.dataName = 'DATA'
  self.dataType = 'UNKNOWN'

;  ret = self->idlitdatacontainer::init(_Extra=extra)
  ret = self->idlitdata::init(_Extra=extra)
  if n_elements(filename) eq 0 then begin 
    self.filename = ''
    ret = 0
  endif else begin
    ret = self->readMACSData(filename)
  endelse
;  self.auto_delete = 1
  
  return,ret

end;macsdataobject

pro macsdataobject__define,class

  class = {macsdataobject, $
            inherits idlitdata, $
            ;inherits idlitdataContainer, $
            var1 : 0.0,$
            var2 : 0.0,$
            var3 : 0.0,$
            dataPtr:ptr_new(),$
            dataname:'',$
            datatype:'',$
            filename:''}

end;macsdataobject__define

