; $Id: daveophelpabout__define.pro,v 1.1 2008/06/17 16:24:43 azuah Exp $
;###############################################################################
;+
; CLASS_NAME:
;   DAVEopHelpAbout
;
; PURPOSE:
;   Launch the About DAVE dialog
;
; CATEGORY:
;   DAVE Main Tool
;
;
; Richard Tumanjong Azuah
; NIST Center for Neutron Research
; azuah@nist.gov; (301) 9755604
; Nov 2006
;-
;###############################################################################



;===============================================================================
; DAVEopHelpAbout::doAction
; 
; PURPOSE:
;   Intantiate the UI Service action.
;
; PARAMETER:
;   oTool   - The object ref of the tool from which this request originated
;
; KEYWORDS:
;
function DAVEopHelpAbout::DoAction, oTool
compile_opt idl2

status = oTool->DoUIService("AboutDAVE", self)

return, obj_new()

end


;===============================================================================
pro DAVEopHelpAbout__define
compile_opt idl2

struc = {DAVEopHelpAbout, $
         inherits IDLitOperation    $
        }

end
