; $Id: genqfophelpabout__define.pro,v 1.1 2014/05/01 18:40:45 azuah Exp $
;###############################################################################
;+
; CLASS_NAME:
;   GenQFopHelpAbout
;
; PURPOSE:
;   Launch the About GenQF dialog
;
; CATEGORY:
;   DAVE Main Tool
;
;
; Richard Tumanjong Azuah
; NIST Center for Neutron Research
; azuah@nist.gov; (301) 9755604
; May 2010
;-
;###############################################################################



;===============================================================================
; GenQFopHelpAbout::doAction
; 
; PURPOSE:
;   Intantiate the UI Service action.
;
; PARAMETER:
;   oTool   - The object ref of the tool from which this request originated
;
; KEYWORDS:
;
function GenQFopHelpAbout::DoAction, oTool
compile_opt idl2

status = oTool->DoUIService("AboutGenQF", self)

return, obj_new()

end


;===============================================================================
pro GenQFopHelpAbout__define
compile_opt idl2

struc = {GenQFopHelpAbout, $
         inherits IDLitOperation    $
        }

end
