; $Id: spinspsdcalibophelpabout__define.pro,v 1.1 2015/01/16 19:09:24 azuah Exp $
;###############################################################################
;+
; CLASS_NAME:
;   SPINSPSDCalibopHelpAbout
;
; PURPOSE:
;   Launch the About SPINSPSDCalib dialog
;
; CATEGORY:
;   DAVE Main Tool
;
;
; Richard Tumanjong Azuah
; NIST Center for Neutron Research
; azuah@nist.gov; (301) 9755604
; May 2010
;-
;###############################################################################



;===============================================================================
; SPINSPSDCalibopHelpAbout::doAction
; 
; PURPOSE:
;   Intantiate the UI Service action.
;
; PARAMETER:
;   oTool   - The object ref of the tool from which this request originated
;
; KEYWORDS:
;
function SPINSPSDCalibopHelpAbout::DoAction, oTool
compile_opt idl2

status = oTool->DoUIService("AboutSPINSPSDCalib", self)

return, obj_new()

end


;===============================================================================
pro SPINSPSDCalibopHelpAbout__define
compile_opt idl2

struc = {SPINSPSDCalibopHelpAbout, $
         inherits IDLitOperation    $
        }

end
