; $Id: spinspsdophelpabout__define.pro,v 1.1 2015/01/16 19:09:24 azuah Exp $
;###############################################################################
;+
; CLASS_NAME:
;   SPINSPSDopHelpAbout
;
; PURPOSE:
;   Launch the About SPINSPSD dialog
;
; CATEGORY:
;   DAVE Main Tool
;
;
; Richard Tumanjong Azuah
; NIST Center for Neutron Research
; azuah@nist.gov; (301) 9755604
; May 2010
;-
;###############################################################################



;===============================================================================
; SPINSPSDopHelpAbout::doAction
; 
; PURPOSE:
;   Intantiate the UI Service action.
;
; PARAMETER:
;   oTool   - The object ref of the tool from which this request originated
;
; KEYWORDS:
;
function SPINSPSDopHelpAbout::DoAction, oTool
compile_opt idl2

status = oTool->DoUIService("AboutSPINSPSD", self)

return, obj_new()

end


;===============================================================================
pro SPINSPSDopHelpAbout__define
compile_opt idl2

struc = {SPINSPSDopHelpAbout, $
         inherits IDLitOperation    $
        }

end
